﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class MenuControl : MonoBehaviour {

	[SerializeField] Text playerCount;
	[SerializeField] Text worldSize;
	[SerializeField] AudioClip music;

	void Start () {
		SetPlayers(Node.teamCount);
		SetSize(3);
		Camera.main.GetComponent<Rigidbody>().AddTorque(Vector3.up * 3);

		AudioSource[] sources = GameObject.FindObjectsOfType<AudioSource>();
		if (sources.Length == 0) {
			GameObject audioGO = new GameObject();
			AudioSource audio = audioGO.AddComponent<AudioSource>();
			audio.clip = music;
			audio.loop = true;
			audio.Play();
			DontDestroyOnLoad(audioGO);
			audioGO.name = "Music";
		}
	}
	
	public void StartGame () {
		UnityEngine.SceneManagement.SceneManager.LoadScene("Game");
	}

	public void SetPlayers(float input) {
		Node.teamCount = Mathf.RoundToInt(input);
		playerCount.text = "Players: " + Node.teamCount.ToString();
	}

	public void SetSize (float input) {
		WorldGen.worldRadius = (input + 1) * 5f;
		string[] sizes = {
			"Tiny",
			"Small",
			"Medium",
			"Large",
			"Huge"
		};
		int index = Mathf.RoundToInt(input) - 1;
		worldSize.text = "World Size: " + sizes[index];
	}
}
